
Installer - Bug #28785

duplicate "Success!" message on Installer completion

01/17/2020 07:58 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: foreman-installer script   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases: 2.0.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/456

  

Description

[0;33m    [ INFO 2020-01-17T07:52:44 verbose] Executing hooks in group post[0m

[0;33m      Success![0m

[0;33m      * Foreman is running at https://pipeline-foreman-server-nightly-debian10.n44.example.c

om[0m

[0;33m          Initial credentials are admin / changeme[0m

[0;33m      Success![0m

[0;33m      * Foreman Proxy is running at https://pipeline-foreman-server-nightly-debian10.n44.exa

mple.com:8443[0m

[0;33m      The full log is at /var/log/foreman-installer/foreman.log[0m

[0;33m    [ INFO 2020-01-17T07:52:44 verbose] All hooks in group post finished[0m

 This should have been fixed in #28717 but I think the condition for the "proxy" part is wrong, as "foreman_proxy" is also enabled on a

plain Foreman install.

Related issues:

Related to Installer - Bug #28717: confusing output when the installer has fi... Closed

Associated revisions

Revision 6e12ef18 - 01/17/2020 02:01 PM - Eric Helms

Fixes #28785: Only display Success! once

History

#1 - 01/17/2020 07:58 AM - Evgeni Golov

- Related to Bug #28717: confusing output when the installer has finished added

#2 - 01/17/2020 01:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/456 added

#3 - 01/17/2020 02:01 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#4 - 01/17/2020 03:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|6e12ef181d9bad0dc4db98409f093c7195ee86dc.
